> For the complete documentation index, see [llms.txt](https://docs.videc.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.videc.de/june5-3.5/webanwendung/sichten/webreport/june5-funktionen/getqueryvalueinfos.md).

# GetQueryValueInfos

Diese Funktion liefert Informationen einer Messgröße zurück (z.B. die 3 größten Tageswerte des Monats).

## Syntax

string **GetQueryValueInfos** (string queryName, string dataSourcekey, string interval, string aggregation, string infoType, decimal count)

## Parameter

<table><thead><tr><th width="250"></th><th></th></tr></thead><tbody><tr><td><pre><code>queryName:
</code></pre></td><td>Der Name der Abfrage/Tabelle.</td></tr><tr><td><pre><code>dataSourcekey:
</code></pre></td><td>Der Datenquellen-Schlüssel (Kurzname) einer Messgröße.</td></tr><tr><td><pre><code>interval:
</code></pre></td><td>Ein Intervallwert oder -typ. (process, day, week, month, year).</td></tr><tr><td><pre><code>aggregation:
</code></pre></td><td>Ein Aggregationstyp. (val, psum usw.)</td></tr><tr><td><pre><code>infoType:
</code></pre></td><td>Die Art der Informationen. (min, max, avg)</td></tr><tr><td><pre><code>count:
</code></pre></td><td>Die Anzahl der Informationen.</td></tr></tbody></table>

## Rückgabewert

Gibt eine Zeichenfolge zurück.

#### Beispiel

GetQueryValueInfos("Messwerte"," J5001DE.TA","day","dval","max",3)

{% hint style="info" %}
Die Messgröße wird über den *dataSourcekey* angesprochen. Die Messgröße muss nicht über eine Tabelle verknüpft sein.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.videc.de/june5-3.5/webanwendung/sichten/webreport/june5-funktionen/getqueryvalueinfos.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
